org.apache.uima.fit.component

## Class ViewTextCopierAnnotator

- java.lang.Object
- - org.apache.uima.analysis_component.AnalysisComponent_ImplBase
  - - org.apache.uima.analysis_component.Annotator_ImplBase
    - - org.apache.uima.analysis_component.JCasAnnotator_ImplBase
      - - org.apache.uima.fit.component.JCasAnnotator_ImplBase
        - - org.apache.uima.fit.component.ViewTextCopierAnnotator

- All Implemented Interfaces:
    org.apache.uima.analysis_component.AnalysisComponent

      public class ViewTextCopierAnnotator
      extends JCasAnnotator_ImplBase

  This annotator will copy the text of one view to another view. It is required that source view already exists. If the destination view does not yet exist, then it will be created. A use case for this analysis engine is when you have a "gold view" which is populated with text and gold-standard annotations. Now you want to run your system/pipeline on a "system view" so that at the end you can compare the annotations in the system view with those in the gold view. It is convenient to have an annotator that simply copies the text from the gold view to the system view before running a pipeline on the system view.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PARAM_DESTINATION_VIEW_NAME` The parameter name for the name of the destination view
    `static String` | `PARAM_SOURCE_VIEW_NAME` The parameter name for the name of the source view

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewTextCopierAnnotator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.uima.jcas.JCas jCas)`

    - ### Methods inherited from class org.apache.uima.fit.component.JCasAnnotator_ImplBase

      `getLogger, initialize`

    - ### Methods inherited from class org.apache.uima.analysis_component.JCasAnnotator_ImplBase

      `getRequiredCasInterface, process`

    - ### Methods inherited from class org.apache.uima.analysis_component.Annotator_ImplBase

      `getCasInstancesRequired, hasNext, next`

    - ### Methods inherited from class org.apache.uima.analysis_component.AnalysisComponent_ImplBase

      `batchProcessComplete, collectionProcessComplete, destroy, getContext, getResultSpecification, reconfigure, setResultSpecification`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAM_SOURCE_VIEW_NAME

          public static final String PARAM_SOURCE_VIEW_NAME

      The parameter name for the name of the source view
      See Also:
        Constant Field Values

    - #### PARAM_DESTINATION_VIEW_NAME

          public static final String PARAM_DESTINATION_VIEW_NAME

      The parameter name for the name of the destination view
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViewTextCopierAnnotator

          public ViewTextCopierAnnotator()

  - ### Method Detail

    - #### process

          public void process(org.apache.uima.jcas.JCas jCas)
                       throws org.apache.uima.analysis_engine.AnalysisEngineProcessException

      Specified by:
        `process` in class `org.apache.uima.analysis_component.JCasAnnotator_ImplBase`
      Throws:
        `org.apache.uima.analysis_engine.AnalysisEngineProcessException`

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.